'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = babelHelpers.interopRequireDefault(_react);

var _reactAddonsShallowCompare = require('react-addons-shallow-compare');

var _reactAddonsShallowCompare2 = babelHelpers.interopRequireDefault(_reactAddonsShallowCompare);

var _moment = require('moment');

var _moment2 = babelHelpers.interopRequireDefault(_moment);

var _range = require('lodash/range');

var _range2 = babelHelpers.interopRequireDefault(_range);

var _utils = require('../utils');

var style = {
	'root': 'Cal__Weekdays__root',
	'day': 'Cal__Weekdays__day'
};

var Weekdays = function (_Component) {
	babelHelpers.inherits(Weekdays, _Component);

	function Weekdays() {
		babelHelpers.classCallCheck(this, Weekdays);
		return babelHelpers.possibleConstructorReturn(this, (Weekdays.__proto__ || Object.getPrototypeOf(Weekdays)).apply(this, arguments));
	}

	babelHelpers.createClass(Weekdays, [{
		key: 'shouldComponentUpdate',
		value: function shouldComponentUpdate(nextProps) {
			return (0, _reactAddonsShallowCompare2.default)(this, nextProps);
		}
	}, {
		key: 'render',
		value: function render() {
			var theme = this.props.theme;


			return _react2.default.createElement(
				'ul',
				{ className: style.root, style: { backgroundColor: theme.weekdayColor, color: theme.textColor.active, paddingRight: _utils.scrollbarSize }, 'aria-hidden': true },
				(0, _range2.default)(0, 7).map(function (val, index) {
					return _react2.default.createElement(
						'li',
						{ key: 'Weekday-' + index, className: style.day },
						(0, _moment2.default)().weekday(index).format('ddd')
					);
				})
			);
		}
	}]);
	return Weekdays;
}(_react.Component);

Weekdays.propTypes = {
	locale: _react.PropTypes.object,
	theme: _react.PropTypes.object
};
exports.default = Weekdays;